%define	major 0
%define libname	%mklibname fastcgipp %{major}
%define develname %mklibname -d fastcgipp

Summary:	A C++ FastCGI Library
Name:		fastcgi++
Version:	1.1
Release:	%mkrel 3
Group:		System/Libraries
License:	LGPLv3
URL:		http://fastcgipp.com/
Source0:	http://fastcgipp.com/releases/%{name}-%{version}.tar.bz2
Patch0:		fastcgi++-soname_fix.diff
Patch1:		fastcgi++-no_root_install_fix.diff
BuildRequires:	boost-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
fastcgi++ is a C++ library for developing Web applications in C++ with the
FastCGI protocol. This library does not support the old CGI protocol. It
effectively manages simultaneous requests without the need for multiple
threads. Session data is organized into meaningful data types as opposed to a
series of text strings. Internationalization and Unicode support is another
priority. The library is templated to allow internal wide character use, while
converting down to UTF-8 upon transmission to the client.

%package -n	%{libname}
Summary:	A C++ FastCGI Library
Group:          System/Libraries

%description -n	%{libname}
fastcgi++ is a C++ library for developing Web applications in C++ with the
FastCGI protocol. This library does not support the old CGI protocol. It
effectively manages simultaneous requests without the need for multiple
threads. Session data is organized into meaningful data types as opposed to a
series of text strings. Internationalization and Unicode support is another
priority. The library is templated to allow internal wide character use, while
converting down to UTF-8 upon transmission to the client.

%package -n	%{develname}
Summary:	Static library and header files for the fastcgi++ library
Group:		Development/C++
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}
Requires:	%{libname} = %{version}

%description -n	%{develname}
fastcgi++ is a C++ library for developing Web applications in C++ with the
FastCGI protocol. This library does not support the old CGI protocol. It
effectively manages simultaneous requests without the need for multiple
threads. Session data is organized into meaningful data types as opposed to a
series of text strings. Internationalization and Unicode support is another
priority. The library is templated to allow internal wide character use, while
converting down to UTF-8 upon transmission to the client.

This package contains the static fastcgi++ library and its header.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p0
%patch1 -p0

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" Makefile 

%build

%make CXXFLAGS="%{optflags}" PREFIX="%{_prefix}"

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}

make PREFIX="%{buildroot}%{_prefix}" install

pushd %{buildroot}%{_libdir}
    rm -f libfastcgipp.so.*
    mv libfastcgipp.so libfastcgipp.so.%{major}
    ln -snf libfastcgipp.so.%{major} libfastcgipp.so
popd

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc doc/* examples
%dir %{_includedir}/fastcgi++
%{_includedir}/fastcgi++/*
%{_libdir}/*.so
%{_libdir}/*.a



%changelog
* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1-3mdv2011.0
+ Revision: 618255
- the mass rebuild of 2010.0 packages

* Thu Sep 03 2009 Thierry Vignaud <tv@mandriva.org> 1.1-2mdv2010.0
+ Revision: 428703
- rebuild

* Wed Sep 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1-1mdv2009.0
+ Revision: 285406
- import fastcgi++


* Wed Sep 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1-1mdv2009.0
- initial Mandriva package
